<?php

require_once("config.php");
require_once("php/checklogin.php"); 

function getRemFile($url)
{
   $parsedUrl = parse_url($url);
   $host = $parsedUrl['host'];
   if (isset($parsedUrl['path'])) {
      $path = $parsedUrl['path'];
   } else {
      $path = '/';
   }

   if (isset($parsedUrl['query'])) {
      $path .= '?' . $parsedUrl['query'];
   }

   if (isset($parsedUrl['port'])) {
      $port = $parsedUrl['port'];
   } else {
     $port = '80';
   }

   $timeout = 10;
   $response = '';

   $fp = @fsockopen($host, '80', $errno, $errstr, $timeout );

   if( !$fp ) {
      echo "Cannot retrieve $url";
   } else {
       fputs($fp, "GET $path HTTP/1.0\r\n" .
                 "Host: $host\r\n" .
                 "User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.3) Gecko/20060426 Firefox/1.5.0.3\r\n" .
                 "Accept: */*\r\n" .
                 "Accept-Language: en-us,en;q=0.5\r\n" .
                 "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7\r\n" .
                 "Keep-Alive: 300\r\n" .
                 "Connection: Close\r\n" .
                 "Referer: http://$host\r\n\r\n");

     while ( $line = fread( $fp, 4096 ) ) {
         $response .= $line;
      }

      fclose( $fp );
      $pos      = strpos($response, "\r\n\r\n");
      $response = substr($response, $pos + 4);
   }


   return $response;
}

function strChk($question){
    return (!isset($question) || trim($question)==='');
}

//sicom - work out the install dir

if (strChk($jvz)) {$jvz="";}

$finalURL="";
$URLarray  = explode ("/","http://" .($_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"]));
for ($i = 0; $i < count($URLarray)-2; $i++){
		$finalURL .= $URLarray[$i] . "/" ;
	}
	
//sicom - create vars and also config file from either POST array or import file
if ($_GET["import"]=="yes") {

	require_once('../'.$_GET['dealname'].'/import.php');
	
	$cfgarray=array('lf','dealname','tagtext','tagimage','pbcolor','pbimage','pbtype','gacode','footerhtml','pop1type','pop1url','pop1text','social','claimed','poweredby','insertcode','inscodepos','codetoins','seotitle','seokeywords','seodesc','charleft','blocktype','gvimage','gvcode','autoyt','headtype','headimage','headtext','headfont','headsize','headcolor','headbackcol','headbold','headitalic','buycolor','buytext','payurl','dealendurl','currency','price','regprice','dealtype','leftquant','stopquant','dealzone','dealend','egdays','eghours','egminutes','startquant','tab1enable','tab2enable','tab3enable','tab4enable','tab5enable','tab1title','tab1text','tab2title','tab2text','tab3title','tab3text','tab4title','tab4text','tab5title','tab5text','tycustom','tyurl','tyinsertcode','tyinscodepos','tycodetoins','tytext','tyadtype','affimg1','affurl1','affimg2','affurl2','affimg3','affurl3','clickimg','clickwindow','clicklink','clicktext');
	$configfile="<?PHP ";
	for ($x=0;$x<count($cfgarray);$x++) 
	{
		$configfile.='$'.$cfgarray[$x].'="'.${$cfgarray[$x]} .'"; ';
	}

} else {
	$configfile="<?PHP ";
	foreach ($_POST as $key=>$value){
		$$key=$value;
		$configfile.='$'.$key.'="'.$value.'"; ';
	}
}
if (strChk($startquant)) { $startquant="0"; }



// sicom - create preview page filename (if it doesnt exist) and store in config file

if (!isset($pv)) { $pv = uniqid("pv"); }

$configfile.=' $pv="'.$pv.'"; ';


// sicom - create redirect filenames and store them in config 


if (!isset($ty)) { $ty = uniqid("ty"); }
if (!isset($ty2)) { $ty2 = uniqid("thanks"); }

$configfile.=' $ty="'.$ty.'"; $ty2="'.$ty2.'";';


$configfile.=" ?>";
if (!is_dir("../".$dealname)) {
	echo ("Deal directory does not exist - please contact support");
	die();
}




//sicom - Decode the Base64 encoded fields

$fieldlist=array('tagtext','tagimage','pbimage','gacode','pop1url','footerhtml','gvimage','gvcode','headimage','headtext','payurl','dealend','dealendurl','tab1title','tab1text','tab2title','tab2text','tab3title','tab3text','tab4title','tab4text','tab5title','tab5text','tyurl','tytext','affimg1','affurl1','affimg2','affurl2','affimg3','affurl3','codetoins','tycodetoins','seotitle','seodesc','seokeywords','clicklink','clicktext');
$fllength=count($fieldlist);
for($x=0;$x<=$fllength;$x++)
  {
	${$fieldlist[$x]}=base64_decode(${$fieldlist[$x]});
  }

//sicom - write config file

$dealpath="../".$dealname."/";
file_put_contents($dealpath."edbconfig.php",$configfile);

//sicom - create startqty (qty adder for any dealtype)

file_put_contents($dealpath."startqty.php","<?php ".$startquant." ?>");

//sicom - create zero qtysold if it isnt already there

if (!file_exists($dealpath."qtysold.php")) {
	file_put_contents($dealpath."qtysold.php","<?php 0 ?>");
}


// sicom - create initial qty file if it is a qty deal

if ($dealtype=="1") {
	file_put_contents($dealpath."qtyleft.php","<?php ".$leftquant." ?>");

}

// if dd.php exists but quant left is not zero then delete dd.php


if (file_exists($dealpath."dd.php") && $leftquant!="0") {
	unlink ($dealpath."dd.php");
}

// if hitcount is not there then create it

if (!file_exists($dealpath."hitcount.php")) {
	file_put_contents($dealpath."hitcount.php","<?php 0 ?>");
}


// write dfin.php to create dd.php and redirect if deal has ended

if (strChk($dealendurl)) { $dealendurl=$finalURL."index.php"; }

$dfin=<<<EOT
<?php
require_once("edbconfig.php");
if (\$dealtype=="1"){
	\$qtyl=file_get_contents("qtyleft.php");
	\$qtyl=str_replace("<?php","",\$qtyl);
	\$qtyl=str_replace("?>","",\$qtyl);
	\$qtyl=intval(trim(\$qtyl));


	if (\$qtyl==0) {
		file_put_contents("dd.php","<?php die(); ?>");
	}
	header("location:$dealendurl");
}
if (\$dealtype=="2"){
	
	// check if deal end time reached!
	\$dealend=base64_decode(\$dealend);
	\$servergmt=strtotime(gmdate("Y-m-d H:i:s",time())); 
	\$dealzone=0-\$dealzone;
	\$dealend=strtotime(\$dealend);
	\$dealend=\$dealend+(\$dealzone*3600);
	
	if (intval(\$dealend)<=intval(\$servergmt)+120) {
		file_put_contents("dd.php","<?php die(); ?>");
	}
	header("location:$dealendurl");
}
?>
EOT;
file_put_contents($dealpath."dfin.php",$dfin);

// write the redirect files (getdeal and ty)

$rdpayurl="";

if (strpos($payurl,'jvzoo') !== false) {
	$rdend=strpos($payurl,">");
	$rdpayurl=substr($payurl,9,$rdend-10);
} else {
	$rdpayurl=$payurl;
}

if ($price=="" || $price=="0") {
		$rdpayurl=$ty.".php";

}
	
$rdcontent=<<<EOT
<?php
if (file_exists("dd.php")) {
	header("location:dfin.php");
} else {
	header("location:$rdpayurl");
}
?>
EOT;
file_put_contents($dealpath."getdeal.php",$rdcontent);


$tycontent=<<<EOT
<?php 
\$thispage=preg_replace('/[\s\W]+/', '',\$_SERVER['SERVER_NAME'].\$_SERVER['REQUEST_URI']);
if (!isset(\$_COOKIE[\$thispage])) {
setcookie(\$thispage,'sold', time()+315360000);
require_once("edbconfig.php");
if (\$dealtype=="1") {
	\$qtyl=file_get_contents("qtyleft.php");
	\$qtyl=str_replace("<?php","",\$qtyl);
	\$qtyl=str_replace("?>","",\$qtyl);
	\$qtyl=intval(trim(\$qtyl));

	if (\$qtyl>intval(\$stopquant) && \$qtyl>0) {
		\$qtyl--;
		file_put_contents("qtyleft.php","<?php ".\$qtyl." ?>");
	}
	if (\$qtyl==0) {
		file_put_contents("dd.php","<?php die(); ?>");
	}
}
\$sq=file_get_contents("qtysold.php");
\$sq=str_replace("<?php","",\$sq);
\$sq=str_replace("?>","",\$sq);
\$sq=intval(trim(\$sq));

\$sq++;
file_put_contents("qtysold.php","<?php ".\$sq." ?>");
}

EOT;

// sicom - now decide on the redirect URL for thank you page



if ($tycustom=="1") { 
	$tyredir=$tyurl;
} else {
	$tyredir=$ty2.".php";
}

$tycontent.=<<<EOT
header("location:$tyredir");
die();
?>
EOT;
file_put_contents($dealpath.$ty.".php",$tycontent);

//sicom - start generating page

//sicom do "Deal Done" redirect if required

$dealpagetop=<<<EOT
<?php if (file_exists("dd.php") || file_exists("pp.php")) { header("location:$dealendurl"); } \$thispage=preg_replace('/[\s\W]+/', '',\$_SERVER['SERVER_NAME'].\$_SERVER['REQUEST_URI'])."edbfp"; if (!isset(\$_COOKIE[\$thispage])){ \$expire=time()+5184000; setcookie(\$thispage,'visited', \$expire); if (file_exists("hitcount.php")) { \$hc=file_get_contents("hitcount.php"); \$hc=str_replace("<?php","",\$hc); \$hc=str_replace("?>","",\$hc); \$hc=trim(\$hc); } else { \$hc="0"; } \$hc++; file_put_contents("hitcount.php", "<?php ".\$hc." ?>"); } ?>
EOT;



$dealpage='<!DOCTYPE html><html><head>'; // sicom - start head

$dealpage.='<script>if(window.screen.width<700){window.location.assign("index2.php?mobi=1");}</script>';

// sicom do seo tags
if (strChk($seotitle)) { $seotitle2=$dealname; } else { $seotitle2=$seotitle; }
$dealpage.=<<<EOT
<title>$seotitle2</title>
<meta name="keywords" content="$seokeywords" />
<meta name="description" content="$seodesc" />
<meta name="robots" content="Index,NoFollow" />
EOT;


$dealpage.='<meta charset="UTF-8"><script src="../admin/js/jQuery.js"></script>'; // sicom - Start Head and include JQ

// sicom - if dealtype is countdown or evergreen then include countdown js

if ($dealtype=="2" || $dealtype=="3") {
	$dealpage.=<<<EOT
	
	<link rel="stylesheet" type="text/css" href="../admin/js/countdown/jquery.countdown.css"> 
	<script type="text/javascript" src="../admin/js/countdown/jquery.countdown.min.js"></script>
	
EOT;
}

//sicom - css

if (strChk($pbcolor)) { $pbcolor="AAAAAA"; }

if (strChk($pbimage) || $pbtype=="6") {
	$dealpage.=<<<EOT
<style type="text/css">
body { background:#$pbcolor; font-family:arial,sans serif; }
EOT;
} else {

// sicom - select background type
	switch ($pbtype)
	{
	case "1":
	  $pbmode="-moz-background-size:100% 100%; background-size:100% 100%; background-repeat:no-repeat;";
	   break;
	case "2":
	  $pbmode="background-position:center; background-repeat:no-repeat;";
	   break;
	case "3":
	  $pbmode="background-repeat:repeat;";
	  break;
	case "4":
	   $pbmode="background-repeat:repeat-x; background-position:top;";
	   break;
    case "5":
       $pbmode="background-repeat:repeat-x; background-position:bottom;";
       break;
	default:
	  $pbmode="-moz-background-size:100% 100%; background-size:100% 100%; background-repeat:no-repeat;";
	}
	
	$dealpage.=<<<EOT
<style type="text/css">
body { background:#$pbcolor; background-image: url('$pbimage'); background-attachment: fixed; $pbmode }	
EOT;
}
$dealpage.=<<<EOT
table#countergrid {
	font-family: Tahoma, Arial, Helvetica, sans-serif;
}

table#maintable {
	background:#F7F6F6;
    text-align:center; 
    margin-left:auto; 
    margin-right:auto; 
    width:960px;
	border-color: #BDBDBD;
	border-width: 1px 1px 1px 1px;
	border-style: solid;
	-moz-box-shadow: 0 0 5px #888; -webkit-box-shadow: 0 0 5px#888; box-shadow: 0 0 15px #888;

  }
tr { border-style:none }
td { border-style:none }
img { border:none }
  


EOT;

if ($dealtype=="2" || $dealtype=="3") {
	$dealpage.=<<<EOT
	
#imageLayout span { display: block; float: left; width: 38px; height: 61px; background: url(../admin/images/flip/small/numstrip.jpg) no-repeat 0px 0px; } 
#imageLayout span.image0 { background-position: -0px 0px; } 
#imageLayout span.image1 { background-position: -38px 0px; } 
#imageLayout span.image2 { background-position: -76px 0px; } 
#imageLayout span.image3 { background-position: -114px 0px; } 
#imageLayout span.image4 { background-position: -152px 0px; } 
#imageLayout span.image5 { background-position: -190px 0px; } 
#imageLayout span.image6 { background-position: -228px 0px; } 
#imageLayout span.image7 { background-position: -266px 0px; } 
#imageLayout span.image8 { background-position: -304px 0px; } 
#imageLayout span.image9 { background-position: -342px 0px; } 
#imageLayout span.imageDay { background-position: -380px 0px; } 
#imageLayout span.imageSep { background-position: -418px 0px; } 
#imageLayout span.imageSpace { background-position: -456px 0px; width:18px;} 
	
EOT;
}
//sicom - css rules for tabs

$dealpage.=<<<EOT

#tabtable {
	margin: 0;
	padding: 0;
}
#tabs {
	
	margin: 0px 0;
}
#tabs > ul {
	cursor:pointer;
	float: left;
	background: #F7F6F6;
	width:850px;
	
}
#tabs li {
	width: 139px;
	height: 45px;
	list-style: none;
	background-image: url(../admin/images/icons/tabinactive.png); background-repeat: no-repeat;

}
* html #tabs li {
	display: inline;
}
#tabs li, #tabs li a {
	float: left;
	
}
#tabs ul li.active {
	background-image: url(../admin/images/icons/tabactive.png); background-repeat: no-repeat;
}
#tabs ul li.active a {
	background-image: url(../admin/images/icons/tabactive.png); background-repeat: no-repeat;
}
#tabs div {
	background: #FFFFCC;
	clear: both;
	display:block; height:323px; overflow:auto; background: url(../admin/images/icons/tabpanel3.png); background-position: center; background-repeat: no-repeat; padding-left:10px; padding-right:10px;
	min-height:323px;
}
#tabs ul li a {
	text-decoration: none;
	padding: 8px;
	color: #676767;
	font-weight: bold;
	font-family:tahoma,verdana,arial,sans serif;
	font-size:12px;
	
}
.thumbs {
	float:left;
	border:#000 solid 1px;
	margin-bottom:20px;
	margin-right:20px;
}

#tabcontent1 {
 font-family:tahoma,arial,sans serif; font-size:12px; color:#777777; height:300px; text-align:left;
  }
#tabcontent1 ul li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:disc outside none; background-image:none;   }
#tabcontent1 ol li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:decimal outside none; background-image:none;  }

#tabcontent2 {
 font-family:arial,sans serif; font-size:12px; color:#777777; height:300px; text-align:left;
  }
#tabcontent2 ul li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:disc outside none; background-image:none;   }
#tabcontent2 ol li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:decimal outside none; background-image:none;  }

#tabcontent3 {
 font-family:arial,sans serif; font-size:12px; color:#777777; height:300px; text-align:left;
  }
#tabcontent3 ul li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:disc outside none; background-image:none;   }
#tabcontent3 ol li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:decimal outside none; background-image:none;  }

#tabcontent4 {
 font-family:arial,sans serif; font-size:12px; color:#777777; height:300px; text-align:left;
  }
#tabcontent4 ul li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:disc outside none; background-image:none;   }
#tabcontent4 ol li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:decimal outside none; background-image:none;  }

#tabcontent5 {
 font-family:arial,sans serif; font-size:12px; color:#777777; height:300px; text-align:left;
  }
#tabcontent5 ul li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:disc outside none; background-image:none;   }
#tabcontent5 ol li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:decimal outside none; background-image:none;  }

#tab-1 h1 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:36px; }
#tab-1 h2 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:24px; }
#tab-1 h3 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:18px;  }
#tab-1 h4 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:14px; }
#tab-1 p { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:12px; }

#tab-2 h1 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:36px; }
#tab-2 h2 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:24px; }
#tab-2 h3 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:18px;  }
#tab-2 h4 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:14px; }
#tab-2 p { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:12px; }

#tab-3 h1 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:36px; }
#tab-3 h2 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:24px; }
#tab-3 h3 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:18px;  }
#tab-3 h4 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:14px; }
#tab-3 p { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:12px; }

#tab-4 h1 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:36px; }
#tab-4 h2 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:24px; }
#tab-4 h3 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:18px;  }
#tab-4 h4 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:14px; }
#tab-4 p { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:12px; }

#tab-5 h1 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:36px; }
#tab-5 h2 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:24px; }
#tab-5 h3 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:18px;  }
#tab-5 h4 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:14px; }
#tab-5 p { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:12px; }

EOT;

$dealpage.="</style>"; // sicom - End Styles

// sicom - Load google font if needed

if (!strChk($headfont) && $headfont != "Arial,sans-serif" && $headfont != "Georgia,sans-serif" && $headfont != "Impact,sans-serif" && $headfont != "Times New Roman,sans-serif" && $headfont != "Verdana,sans-serif") {
	$headfont = str_replace(",sans-serif","",$headfont);
	$headfontplus = str_replace(" ","+",$headfont);
	$dealpage.=<<<EOT
<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=$headfontplus">

EOT;

}

// sicom - include Google Analytics

if (!strChk($gacode)){ $dealpage.=$gacode; }

// sicom - insert custom code in head if needed

if ($insertcode=="1" && $inscodepos=="1") {
	$dealpage.=$codetoins;
}

// sicom Head End

$dealpage.="</head>";

// sicom Body start


if (!strChk($pbimage)) { 
	$dealpage.=<<<EOT
	<body topmargin="0" bottommargin="0">
EOT;
} else {
	$dealpage.="<body>";
}

if (strChk($tagimage)) { $gplusimg=$finalURL."admin/images/edbdefault.jpg"; } else { $gplusimg=$finalURL.$dealname.'/'.$tagimage; }
$dealpage.=<<<EOT
<img itemprop="image" src='$gplusimg' style="border:none; display:none;">
EOT;

// sicom - insert custom code in body start if needed
if ($insertcode=="1" && $inscodepos=="2") {
	$dealpage.=$codetoins;
}

//sicom include hidden JVZoo button if needed
if (strpos($payurl,'jvzoo') !== false) {
	$dealpage.=<<<EOT
<a style="display:none"
EOT;
	$dealpage.=substr($payurl,2);
}

//sicom Main Table 

$dealpage.=<<<EOT

<table id="maintable">
EOT;

// sicom ROW 1 - Header Row

$dealpage.=<<<EOT

<tr>
	<td colspan="2">
EOT;

if ($headtype=="1") {  // sicom Graphic Header
	if (!strChk($headimage)) {
		$dealpage.=<<<EOT
	<div style="width: 940px; margin-left:auto; margin-right:auto;"><img style="max-width:100%;" src="$headimage"></div>
	</td>
</tr>
EOT;
	} else {
	$dealpage.=<<<EOT
	</td>
</tr>
EOT;

	}
} else { // sicom Text Header
		if (!strChk($headtext)) {
		$actualfontsize=$headsize.'px';
		$headboldstyle="";
		$headitalicstyle="";
		if ($headbold=="2") { $headboldstyle="font-weight:bold;"; }
		if ($headitalic=="2") { $headitalicstyle="font-style:italic;"; }
		$dealpage.=<<<EOT
	<table align="center" cellpadding="0"><tr><td style="background:#$headbackcol; color:#$headcolor; height:150px; vertical-align:middle; width: 940px; margin-left:auto; margin-right:auto; font-size:$actualfontsize; font-family:$headfont; $headboldstyle $headitalicstyle">$headtext</td></tr></table>
	</td>
</tr>
EOT;
	} else {
	$dealpage.=<<<EOT
	</td>
</tr>
EOT;
	}
}

// sicom - leave a row gap

// $dealpage.='<tr><td colspan="2"><br></td></tr>';

//sicom - ROW 2 - do buy price counter and video block

//sicom - setup up left hand cell top with buy button and price etc...
$dividerimage="../admin/images/divide.gif";
$buttonimage="../admin/images/buy/".$buycolor.$buytext.".png";
$saving=round((($regprice-$price)/$regprice)*100,0)."%";
switch ($currency)
{
case "USD":
  $currsymbol="$";
  break;
case "GBP":
  $currsymbol="&pound;";
  break;
case "AUD":
  $currsymbol="$";
  break;
case "EUR":
  $currsymbol="&euro;";
  break;
case "YEN":
  $currsymbol="&yen;";
  break;
case "CADS":
  $currsymbol="$";
  break;
default:
  $currsymbol="$";
}


$dealpage.=<<<EOT
<tr><td width="460px">
	<table id="countergrid">
		<tr>
			<td colspan="6">
				<a href="getdeal.php"><img src='$buttonimage' style="border:none"></a>
			</td>
		</tr>
EOT;
if ($price!="" && $price!="0") {
$dealpage.=<<<EOT
		<tr style="font-weight:bold; color:#000000; font-size:13px;">
			<td>DEAL PRICE<br><span style="color:#7C8C91; font-weight:bold; font-size:24px;">$currsymbol$price</span></td>
			<td><img src="$dividerimage"></td>
			<td>REG. PRICE<br><span style="text-decoration:line-through; color:#97A3A6; font-weight:bold; font-size:24px;">&nbsp;$currsymbol$regprice&nbsp;</span></td>
			<td><img src="$dividerimage"></td>
			<td>YOU SAVE<br><span style="color:#EB4B1C; font-weight:bold; font-size:24px;">$saving</span></td>
		</tr>
	

EOT;
}
if ($price=="" || $price=="0") {
	if ($regprice!="" && $regprice!="0") {
$dealpage.=<<<EOT
		<tr style="font-weight:bold; color:#000000; font-size:13px;">
			<td>DEAL PRICE<br><span style="color:#7C8C91; font-weight:bold; font-size:24px;">$currsymbol FREE</span></td>
			<td><img src="$dividerimage"></td>
			<td>REG. PRICE<br><span style="text-decoration:line-through; color:#97A3A6; font-weight:bold; font-size:24px;">&nbsp;$currsymbol$regprice&nbsp;</span></td>
			<td><img src="$dividerimage"></td>
			<td>YOU SAVE<br><span style="color:#EB4B1C; font-weight:bold; font-size:24px;">$saving</span></td>
		</tr>
	

EOT;
	}
}
if ($dealtype=="1") { // sicom - Quantity deal type

	$dealpage.=<<<EOT
		<tr>
			<td colspan="6" style="font-weight:bold; font-size:10px; color:#383838;">
				&nbsp;</td>
		</tr>

		<tr>
			
			<td id="qtycounter" colspan="6" style="vertical-align: bottom; height:100px; width:375px; background: url(../admin/images/flip/qtyframe.png); background-position: center; background-repeat: no-repeat;">
			
				<?php
					\$qtyleft=file_get_contents("qtyleft.php");
					\$qtyleft=str_replace("<?php","",\$qtyleft);
					\$qtyleft=str_replace("?>","",\$qtyleft);
					\$qtyleft=trim(\$qtyleft);

					\$qtyarr=str_split(\$qtyleft);
					\$qtylen=strlen(\$qtyleft);
					\$count="";
					for(\$x=0;\$x<\$qtylen;\$x++) {
						\$count.="<img src='../admin/images/flip/".\$qtyarr[\$x].".jpg' style='border:none;'>";
					}
					echo (\$count);
				?>
			
			</td>
			
		
	</table>
</td>


EOT;
}

if ($dealtype=="2") { // sicom - Normal Date Countdown deal type

$dealpage.=<<<EOT
		<tr>
			<td colspan="6" style="font-weight:bold; font-size:10px; color:#383838;">
				&nbsp;</td>
		</tr>

		<tr>
			<?php \$stime=date("M j, Y H:i:s O",time()); ?>
			<td colspan="6" style="vertical-align: bottom; height:120px; width:375px; background: url(../admin/images/flip/timeframe.png); background-position: center; background-repeat: no-repeat;" align="center">
			<input type="hidden" id="dfin" value="<?php echo("$dealend"); ?>"><input type="hidden" id="tz" value="<?php echo("$dealzone"); ?>"><input type="hidden" id="stime" value="<?php echo(\$stime); ?>">
			<table  >
					<tr><td>&nbsp;</td></tr>
					<tr ><td >
					<span id="imageLayout"> 
						<span class="image{d10}"></span> 
						<span class="image{d1}"></span> 
						<span class="imageSpace"></span> 
						<span class="image{h10}"></span> 
						<span class="image{h1}"></span> 
						<span class="imageSpace"></span> 
						<span class="image{m10}"></span> 
						<span class="image{m1}"></span> 
						<span class="imageSpace"></span> 
						<span class="image{s10}"></span> 
						<span class="image{s1}"></span> 
					</span>
				<?php
					
					
				?>
								</td></tr>
				
					 <tr style="text-align:center;" >
						<td><img src="../admin/images/flip/labels.png" style="border:none"></td>
					</tr>
			
			</table>
				</td>
			</tr>
		</table>
			</td>
			

EOT;

}

if ($dealtype=="3") { // sicom - Evergreen Date Countdown deal type

$dealpage.=<<<EOT
		<tr>
			<td colspan="6" style="font-weight:bold; font-size:10px; color:#383838;">
				&nbsp;</td>
		</tr>

		<tr>
			
			<td colspan="6" style="vertical-align: bottom; height:120px; width:375px; background: url(../admin/images/flip/timeframe.png); background-position: center; background-repeat: no-repeat;" align="center">
			<input type="hidden" id="egd" value="<?php echo("$egdays"); ?>"><input type="hidden" id="egh" value="<?php echo("$eghours"); ?>"><input type="hidden" id="egm" value="<?php echo("$egminutes"); ?>">
			<table  >
					<tr><td>&nbsp;</td></tr>
					<tr ><td >
			<span id="imageLayout"> 
				<span class="image{d10}"></span> 
				<span class="image{d1}"></span> 
				<span class="imageSpace"></span> 
				<span class="image{h10}"></span> 
				<span class="image{h1}"></span> 
				<span class="imageSpace"></span> 
				<span class="image{m10}"></span> 
				<span class="image{m1}"></span> 
				<span class="imageSpace"></span> 
				<span class="image{s10}"></span> 
				<span class="image{s1}"></span> 
			</span>
				<?php
					
					
				?>
			</td></tr>
				
					 <tr style="text-align:center;" >
						<td><img src="../admin/images/flip/labels.png" style="border:none"></td>
					</tr>
			
			</table>
				</td>
			</tr>
</table>	
	</td>
			

EOT;

}

// sicom - VIdeo or Image block

if ($blocktype=="1") {
	if (isset($clickimg) && $clickimg=="2") {
		$imgclk4='cursor:hand; cursor:pointer;';
		$imgclk3='';
		$imgclk1='<a href="'.$clicklink.'" ';
		if (isset($clickwindow) && $clickwindow=="1") { $imgclk1.='target="_BLANK" '; }
		$imgclk1.='>';
		$imgclk2='</a>';
	}
	if (isset($clickimg) && $clickimg=="4") {
		$imgclk4='cursor:hand; cursor:pointer;';
		$imgclk3='';
		$imgclk1='<a href="getdeal.php" >';
		$imgclk2='</a>';
	}	
	if (isset($clickimg) && $clickimg=="3") {
		$imgclk4='cursor:hand; cursor:pointer;';
		$imgclk3=<<<EOT
onClick="alert('$clicktext');"
EOT;
		$imgclk1='';
		$imgclk2='';
	}	
	$dealpage.=<<<EOT
	<td style="text-align:right; padding-right:8px;"><div style="text-align:center; width: 480px; height:270px; margin-left:auto; margin-right:auto;">$imgclk1<img $imgclk3 style="$imgclk4 border:none; max-height:100%; max-width:100%;" src="$gvimage">$imgclk2</div></td>
	</tr>
EOT;

} else {


	// sicom - check for auto youtube
	if ($autoyt=="2") {
		$gv1pos=strpos($gvcode,'src="');
		$gv2pos=strpos($gvcode,'"',$gv1pos+5);
		$gvextract=substr($gvcode,$gv1pos+5,($gv2pos-$gv1pos)-5);
		if (strpos($gvextract,"?")===false) { $gvextract2=$gvextract."?autoplay=1"; } else { $gvextract2=$gvextract."&autoplay=1"; }
		$gvcode=str_replace($gvextract,$gvextract2,$gvcode);
	}
	$dealpage.=<<<EOT
	<td style="width:480px; overflow:hidden; padding-right:8px;" ><table style="width:480px; overflow:hidden; table-layout:fixed;"><tr><td style="width:480px; overflow:hidden;"><div style="max-height: 270px; max-width:480px; margin-left:auto; margin-right:auto;">$gvcode</div></td></tr></table></td>
	</tr>
EOT;
}

//sicom Social and Claimed Row Start

if ($social=="1" || $claimed=="1") {  // sicom - check if either social or claimed is true and create row 
	
	$dealpage.=<<<EOT
	
	<tr >
		<td colspan="2" style="vertical-align:middle; text-align:left; height:74px; width:931px; background: url(../admin/images/icons/socialpanel.png); background-position: center; background-repeat: no-repeat;" align="center">
	<table  cellpadding="0" style="width:931px; position: relative; top: 54%; margin-top: -6%; ">
				<tr>
					<td style="width:50%">
EOT;
	if ($social=="1") { // sicom - Social cell
	
		$socialtitle=urlencode('Amazing Deal!');
		$socialurl=urlencode($finalURL.$dealname);
		$socialsummary=urlencode('Check Out This Deal : '.$dealname);
		if (strChk($tagimage)) { $gvimage2=$finalURL."admin/images/edbdefault.jpg"; } else { $gvimage2=$finalURL.$dealname.'/'.$tagimage; }
		
		
		$dealpage.=<<<EOT
		
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img style="border:0; cursor:pointer" src="../admin/images/icons/sharedeal.png" >&nbsp;&nbsp;
						<a class="sharepopup" href="http://twitter.com/share?text=Just%20Picked%20Up%20A%20Great%20Deal:%20$dealname%20-%20$socialurl"><img style="border:0; cursor:pointer" src="../admin/images/icons/twitter.png"></a>&nbsp;&nbsp;
						<a class="sharepopup" href="http://www.facebook.com/sharer.php?s=100&amp;p[title]=$socialtitle&amp;p[summary]=$socialsummary&amp;p[url]=$socialurl"><img style="border:0; cursor:pointer" src="../admin/images/icons/facebook.png"></a>&nbsp;&nbsp;
						<a class="sharepopup" id="pin" href="http://pinterest.com/pin/create/button/?url=$socialurl&amp;media=$gvimage2&amp;" target="_blank" count-layout="none" ><img border="0" src="../admin/images/icons/pinterest.png" title="Pin It"></a>&nbsp;&nbsp;
						<a class="sharepopup" href="https://plus.google.com/share?url=$socialurl"><img style="border:0; cursor:pointer" src="../admin/images/icons/gplus.png" ></a>&nbsp;&nbsp;
						<a class="sharepopup" id="su" href="https://www.stumbleupon.com/submit?url=$socialurl"><img style="border:0; cursor:pointer" src="../admin/images/icons/stumble.png" ></a>&nbsp;&nbsp;
					</td>
EOT;
	
	
	} else {
	$dealpage.="&nbsp;</td>";
	}
	if ($claimed=="1") { // sicom - Claimed cell
	$dealpage.=<<<EOT
					<td style="vertical-align:middle; text-align:right; font-family:Tahoma,Verdana,Arial,Sans Serif; font-size:20px;">

						<img style="border:0" src="../admin/images/icons/people.png">&nbsp;
						<span style="color:#EB4B1C">
						<?php
							\$numsold=file_get_contents("qtysold.php");
							\$numsold=str_replace("<?php","",\$numsold);
							\$numsold=str_replace("?>","",\$numsold);
							\$numsold=trim(\$numsold);

							\$qtyadd=file_get_contents("startqty.php");
							\$qtyadd=str_replace("<?php","",\$qtyadd);
							\$qtyadd=str_replace("?>","",\$qtyadd);
							\$qtyadd=trim(\$qtyadd);
							\$numsold=intval(\$numsold)+intval(\$qtyadd);
							echo (\$numsold);
						?>
						</span>
						<span style=" color:#63766c;">People Claimed This Deal!&nbsp;&nbsp;&nbsp;</span>
						
					</td>
EOT;
	} else {
	$dealpage.="<td></td>";
	}
	
	$dealpage.=<<<EOT
			</tr>
			</table>
		</td>
EOT;

	$dealpage.='</tr>';
}




//sicom Social and Claimed Row End

// sicom - Tabs section start

if ($tab1enable=="1" || $tab2enable=="1" || $tab3enable=="1" || $tab4enable=="1" || $tab5enable=="1") { // are any tabs enabled ?

$dealpage.=<<<EOT

	<tr >
		<td  colspan="2">
			<table  style="width:928px; text-align:left; margin-left:auto; margin-right:auto;">
				<tr>
					<td style="max-width:926px; overflow:none;">
						<div id="tabs">
							<ul id="tabtable">
EOT;

if ($tab1enable=="1") {
	$dealpage.=<<<EOT
								<li style=""><a class="tabtops" href="#tab-1"><table style="width:125px;"><tr><td style="padding-top:7px; text-align:center">$tab1title</td></tr></table></a></li>
EOT;
}
if ($tab2enable=="1") {
	$dealpage.=<<<EOT
								<li style=""><a class="tabtops" href="#tab-2"><table style="width:125px;"><tr><td style="padding-top:7px; text-align:center">$tab2title</td></tr></table></a></a></li>
EOT;
}
if ($tab3enable=="1") {
	$dealpage.=<<<EOT
								<li style=""><a class="tabtops" href="#tab-3"><table style="width:125px;"><tr><td style="padding-top:7px; text-align:center">$tab3title</td></tr></table></a></a></li>
EOT;
}
if ($tab4enable=="1") {
	$dealpage.=<<<EOT
								<li style=""><a class="tabtops" href="#tab-4"><table style="width:125px;"><tr><td style="padding-top:7px; text-align:center">$tab4title</td></tr></table></a></a></li>
EOT;
}
if ($tab5enable=="1") {
	$dealpage.=<<<EOT
								<li style=""><a class="tabtops" href="#tab-5"><table style="width:125px;"><tr><td style="padding-top:7px; text-align:center">$tab5title</td></tr></table></a></a></li>
EOT;
}
$dealpage.="</ul>";

if ($tab1enable=="1") {
	$dealpage.=<<<EOT
	<div style="height:300px; max-width:900px; overflow:auto; " id="tab-1"><span id="tabcontent1" >$tab1text</span></div>
EOT;
}
if ($tab2enable=="1") {
	$dealpage.=<<<EOT
	<div style="height:300px; max-width:900px; overflow:auto; " id="tab-2"><span id="tabcontent2" >$tab2text</span></div>
EOT;
}
if ($tab3enable=="1") {
	$dealpage.=<<<EOT
	<div style="height:300px; max-width:900px; overflow:auto; " id="tab-3"><span id="tabcontent3" >$tab3text</span></div>
EOT;
}
if ($tab4enable=="1") {
	$dealpage.=<<<EOT
	<div style="height:300px; max-width:900px; overflow:auto; " id="tab-4"><span id="tabcontent4" >$tab4text</span></div>
EOT;
}
if ($tab5enable=="1") {
	$dealpage.=<<<EOT
	<div style="height:300px; max-width:900px; overflow:auto; " id="tab-5"><span id="tabcontent5" >$tab5text</span></div>
EOT;
}
$dealpage.=<<<EOT
						</div>
					</td>
				</tr>
			</table>
		</td>
	</tr>
		
		
EOT;
} // sicom - endif for any tabs enabled ?

// sicom - Tabs section end

// sicom - footer start

if (!strChk($footerhtml)) {
	$dealpage.=<<<EOT
	
	<tr >
		<td  colspan="2">
			$footerhtml
		</td>
	</tr>
EOT;
}

if ($poweredby=="1") {
	$dealpage.=<<<EOT
	
	<tr >
		<td colspan="2" style="color:#AAAAAA; font-size:10px; font-family:Tahoma,Arial,Sans Serif;">
		<a href="http://www.jvzoo.com/c/$jvz/38829" target="_BLANK">Powered By Easy Deal Builder</a>
		</td>
	</tr>
EOT;
}

// sicom - footer end


// sicom - End Main Table
$dealpage.=<<<EOT
</table>
EOT;

//sicom - Pre Body End Javascript
if ($tab1enable=="1" || $tab2enable=="1" || $tab3enable=="1" || $tab4enable=="1" || $tab5enable=="1") { // are any tabs enabled ?

$dealpage.=<<<EOT
<script type="text/javascript">
//sicom tabs switcher  
$(document).ready(function(){
$('#tabs div').hide();
$('#tabs div:first').show();
$('#tabs ul li:first').addClass('active');
 
$('#tabs ul li ').click(function(){
	if ($(this).parent().parent().attr('id')!="tabcontent1" && $(this).parent().parent().attr('id')!="tabcontent2" && $(this).parent().parent().attr('id')!="tabcontent3" && $(this).parent().parent().attr('id')!="tabcontent4" && $(this).parent().parent().attr('id')!="tabcontent5") 
	
	{
		$('#tabs ul li').removeClass('active');
		$(this).addClass('active');
		var currentTab = $(this).children('a').attr('href');
		$(this).children('a').blur();
		
		$('#tabs div').hide();
		$(currentTab).show();
		return false;
	}
});
});
</script>
EOT;
}

if ($dealtype=="1") {
$dealpage.=<<<EOT
    
	<script type="text/javascript">

	$.ajaxSetup ({  
        cache: false  
    });  

	var loadUrl = "../admin/php/qtycount.php";  
	var al;
	
setInterval(function() {
      
	  $.post(loadUrl, { dealname:"$dealname" }, function(ajdata) { $('#qtycounter').html(ajdata); if (ajdata=="<img src='../admin/images/flip/0.jpg' style='border:none;'>") { window.location='dfin.php'; }});
		}, 10000); //2 seconds

</script>
EOT;
}

if ($dealtype=="2") {

$dealpage.=<<<EOT
<script type="text/javascript">
var ed=$('#dfin').val();
var tz=$('#tz').val();
var stime=$('#stime');
var y=parseInt(ed.substring(0,4),10);
var m=parseInt(ed.substring(5,7),10);
var d=parseInt(ed.substring(8,10),10);
var h=parseInt(ed.substring(11,13),10);
var min=parseInt(ed.substring(14,16),10);
var liftoffTime=new Date(y,m-1,d,h,min);


$('#imageLayout').countdown({until: liftoffTime, alwaysExpire: true, timezone: tz, compact: true, serverSync: stime, expiryUrl: 'dfin.php',
    layout: $('#imageLayout').html()});

</script>
EOT;
}

if ($dealtype=="3") {

$dealpage.=<<<EOT
<script type="text/javascript">
var cookurl=document.URL.replace(/\W/g, '');
function setCookie(key, value) {  
   var expires = new Date();  
   expires.setTime(expires.getTime() + 31536000000); 
   document.cookie = key + '=' + value + ';expires=' + expires.toUTCString();  
   }  
  
function getCookie(key) {  
   var keyValue = document.cookie.match('(^|;) ?' + key + '=([^;]*)(;|$)');  
   return keyValue ? keyValue[2] : null;  
   }  

var egh=parseInt($('#egh').val(),10);
var egd=parseInt($('#egd').val(),10);
var egm=parseInt($('#egm').val(),10);
var cookdate=getCookie(cookurl)
if (cookdate) { var ed=new Date(cookdate); } else {var ed = new Date(); setCookie (cookurl,ed); }   

ed.setMinutes(ed.getMinutes() + egm); 
ed.setMinutes(ed.getMinutes() + (egh*60)); 
ed.setMinutes(ed.getMinutes() + (egd*1440)); 

var y=ed.getFullYear();
var m=ed.getMonth();
var d=ed.getDate();
var h=ed.getHours();
var min=ed.getMinutes();

var liftoffTime=new Date(y,m,d,h,min);
$('#imageLayout').countdown({until: liftoffTime, compact: true, expiryUrl: 'dfin.php',
   layout: $('#imageLayout').html()});


</script>
EOT;
}

if ($social=="1") {  // sicom - include social javascript

$dealpage.=<<<EOT
<script type="text/javascript">
 $('.sharepopup').click(function(event) {
		if ($(this).attr('id')=="su" || $(this).attr('id')=="pin") { var width=800, height=600; } else { var width  = 575, height=400; }
		        
        var left   = ($(window).width()  - width)  / 2,
        top    = ($(window).height() - height) / 2,
        url    = this.href,
        opts   = 'status=1' +
				',menubar=no, toolbar=no, resizable=no, location=no, scrollbars=no, status=no' +
                 ',width='  + width  +
                 ',height=' + height +
                 ',top='    + top    +
                 ',left='   + left;
    
    window.open(url, 'twitter', opts);
 
    return false;
  });
 </script>
EOT;
}

if ($pop1type=="1") { // sicom exit pop javascript
if (strChk($pop1url)) {$pop1url=$finalURL.$dealname;}
$dealpage.=<<<EOT
<script type="text/javascript">
$('input[type=submit], button, a[class!=tabtops]').click(function(){ DontPop=true; });
var DontPop = false;
function PopIt() {
    if (DontPop == false) {
        DontPop = true;
		window.scrollTo(0, 0);
		$('body').html('');
		$('body').css({ topMargin : '0px', rightMargin : '0px', bottomMargin : '0px', leftMargin : '0px', overflow : 'hidden'});
		$('body').append($('<div style="position:absolute; width:100%; height:100%; zIndex:99; left:0px; top:0px;"><div style="display:block; width:100%; height:100%; position:absolute; background:#FFFFFF; margin-top:0px; margin-left:0px;" align="center"><iframe src="$pop1url" width="100%" height="100%" align="middle" frameborder="0"></iframe></div></div>'));
        return "$pop1text";
    }
}
window.onbeforeunload = PopIt;
</script>
EOT;


}

//sicom - End javascript

//sicom - End body and page

// sicom - insert custom code in body end if needed
if ($insertcode=="1" && $inscodepos=="3") {
	$dealpage.=$codetoins;
}


$dealpage.="</body></html>";

//sicom - Write out index
$pvpage=$dealpage;
$dealpage=$dealpagetop.$dealpage;
file_put_contents($dealpath."index.php",$dealpage);
file_put_contents($dealpath.$pv.'.php',$pvpage);

//sicom - set deal to paused by default

// file_put_contents($dealpath.'pp.php','Z');

// ------------------------------------------------------------------------------  sicom Create Narrow Page -----------------------------------------------------
//sicom do "Deal Done" redirect if required

$ndealpagetop=<<<EOT
<?php if (file_exists("dd.php") || file_exists("pp.php")) { header("location:$dealendurl"); } \$thispage=preg_replace('/[\s\W]+/', '',dirname(\$_SERVER['SERVER_NAME'].\$_SERVER['REQUEST_URI']))."edbnp"; if (!isset(\$_COOKIE[\$thispage]) && !isset(\$_GET['mobi'])){  \$expire=time()+5184000; setcookie(\$thispage,'visited', \$expire); if (file_exists("hitcount.php")) { \$hc=file_get_contents("hitcount.php"); \$hc=str_replace("<?php","",\$hc); \$hc=str_replace("?>","",\$hc); \$hc=trim(\$hc); } else { \$hc="0"; } \$hc++; file_put_contents("hitcount.php", "<?php ".\$hc." ?>"); }?>
EOT;



$ndealpage='<!DOCTYPE html><html><head>'; // sicom - start head

// sicom do seo tags
if (strChk($seotitle)) { $seotitle2=$dealname; } else { $seotitle2=$seotitle; }
$ndealpage.=<<<EOT
<title>$seotitle2</title>
<meta name="keywords" content="$seokeywords" />
<meta name="description" content="$seodesc" />
<meta name="robots" content="Index,NoFollow" />
EOT;


$ndealpage.='<meta charset="UTF-8"><script src="../admin/js/jQuery.js"></script>'; // sicom - Start Head and include JQ

// sicom - if dealtype is countdown or evergreen then include countdown js

if ($dealtype=="2" || $dealtype=="3") {
	$ndealpage.=<<<EOT
	
	<link rel="stylesheet" type="text/css" href="../admin/js/countdown/jquery.countdown.css"> 
	<script type="text/javascript" src="../admin/js/countdown/jquery.countdown.min.js"></script>
	
EOT;
}

//sicom - css

if (strChk($pbcolor)) { $pbcolor="AAAAAA"; }


$ndealpage.=<<<EOT
<style type="text/css">
body { font-family:arial,sans serif; }
EOT;

$ndealpage.=<<<EOT
table#countergrid {
	font-family: Tahoma, Arial, Helvetica, sans-serif;
}

table#maintable {
	background:#F7F6F6;
    text-align:center; 
    margin-left:auto; 
    margin-right:auto; 
    width:780px;
	border-color: #BDBDBD;
	border-width: 1px 1px 1px 1px;
	border-style: solid;
	-moz-box-shadow: 0 0 5px #888; -webkit-box-shadow: 0 0 5px#888; box-shadow: 0 0 15px #888;

  }
tr { border-style:none }
td { border-style:none }
img { border:none }
  


EOT;

if ($dealtype=="2" || $dealtype=="3") {
	$ndealpage.=<<<EOT
	
#imageLayout span { display: block; float: left; width: 27px; height: 44px; background: url(../admin/images/flip/small/n-numstrip.jpg) no-repeat 0px 0px; } 
#imageLayout span.image0 { background-position: -0px 0px; } 
#imageLayout span.image1 { background-position: -26px 0px; } 
#imageLayout span.image2 { background-position: -54px 0px; } 
#imageLayout span.image3 { background-position: -81px 0px; } 
#imageLayout span.image4 { background-position: -109px 0px; } 
#imageLayout span.image5 { background-position: -136px 0px; } 
#imageLayout span.image6 { background-position: -164px 0px; } 
#imageLayout span.image7 { background-position: -191px 0px; } 
#imageLayout span.image8 { background-position: -219px 0px; } 
#imageLayout span.image9 { background-position: -246px 0px; } 
#imageLayout span.imageDay { background-position: -274px 0px; } 
#imageLayout span.imageSep { background-position: -301px 0px; } 
#imageLayout span.imageSpace { background-position: -329px 0px; width:18px;} 
	
EOT;
}
//sicom - css rules for tabs

$ndealpage.=<<<EOT

#tabtable {
	margin: 0;
	padding: 0;
}
#tabs {
	
	margin: 0px 0;
}
#tabs > ul {
	cursor:pointer;
	float: left;
	background: #F7F6F6;
	width: 700px;
	
}
#tabs li {
	width: 139px;
	height: 45px;
	list-style: none;
	background-image: url(../admin/images/icons/tabinactive.png); background-repeat: no-repeat;

}
* html #tabs li {
	display: inline;
}
#tabs li, #tabs li a {
	float: left;
	
}
#tabs ul li.active {
	background-image: url(../admin/images/icons/tabactive.png); background-repeat: no-repeat;
}
#tabs ul li.active a {
	background-image: url(../admin/images/icons/tabactive.png); background-repeat: no-repeat;
}
#tabs div {
	background: #FFFFCC;
	clear: both;
	display:block; height:423px; overflow:auto; background: url(../admin/images/icons/n-tabpanel3.png); background-position: center; background-repeat: no-repeat; padding-left:10px; padding-right:10px;
	min-height:423px;
}
#tabs ul li a {
	text-decoration: none;
	padding: 8px;
	color: #676767;
	font-weight: bold;
	font-family:tahoma,verdana,arial,sans serif;
	font-size:12px;
	
}
.thumbs {
	float:left;
	border:#000 solid 1px;
	margin-bottom:20px;
	margin-right:20px;
}

#tabcontent1 {
 font-family:tahoma,arial,sans serif; font-size:12px; color:#777777; height:200px; text-align:left;
  }
#tabcontent1 ul li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:disc outside none; background-image:none;   }
#tabcontent1 ol li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:decimal outside none; background-image:none;  }

#tabcontent2 {
 font-family:arial,sans serif; font-size:12px; color:#777777; height:200px; text-align:left;
  }
#tabcontent2 ul li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:disc outside none; background-image:none;   }
#tabcontent2 ol li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:decimal outside none; background-image:none;  }

#tabcontent3 {
 font-family:arial,sans serif; font-size:12px; color:#777777; height:200px; text-align:left;
  }
#tabcontent3 ul li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:disc outside none; background-image:none;   }
#tabcontent3 ol li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:decimal outside none; background-image:none;  }

#tabcontent4 {
 font-family:arial,sans serif; font-size:12px; color:#777777; height:200px; text-align:left;
  }
#tabcontent4 ul li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:disc outside none; background-image:none;   }
#tabcontent4 ol li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:decimal outside none; background-image:none;  }

#tabcontent5 {
 font-family:arial,sans serif; font-size:12px; color:#777777; height:200px; text-align:left;
  }
#tabcontent5 ul li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:disc outside none; background-image:none;   }
#tabcontent5 ol li { background:transparent; display:list-item; float:none; margin:auto; padding:auto; height:auto; width:auto; cursor:auto; list-style:decimal outside none; background-image:none;  }


#tab-1 h1 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:36px; }
#tab-1 h2 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:24px; }
#tab-1 h3 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:18px;  }
#tab-1 h4 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:14px; }
#tab-1 p { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:12px; }

#tab-2 h1 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:36px; }
#tab-2 h2 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:24px; }
#tab-2 h3 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:18px;  }
#tab-2 h4 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:14px; }
#tab-2 p { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:12px; }

#tab-3 h1 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:36px; }
#tab-3 h2 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:24px; }
#tab-3 h3 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:18px;  }
#tab-3 h4 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:14px; }
#tab-3 p { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:12px; }

#tab-4 h1 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:36px; }
#tab-4 h2 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:24px; }
#tab-4 h3 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:18px;  }
#tab-4 h4 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:14px; }
#tab-4 p { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:12px; }

#tab-5 h1 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:36px; }
#tab-5 h2 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:24px; }
#tab-5 h3 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:18px;  }
#tab-5 h4 { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:14px; }
#tab-5 p { font-family:Tahoma, Arial, Helvetica, sans-serif; font-size:12px; }

EOT;

$ndealpage.="</style>"; // sicom - End Styles

// sicom - Load google font if needed

if (!strChk($headfont) && $headfont != "Arial,sans-serif" && $headfont != "Georgia,sans-serif" && $headfont != "Impact,sans-serif" && $headfont != "Times New Roman,sans-serif" && $headfont != "Verdana,sans-serif") {
	$headfont = str_replace(",sans-serif","",$headfont);
	$headfontplus = str_replace(" ","+",$headfont);
	$ndealpage.=<<<EOT
<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=$headfontplus">

EOT;

}



// sicom - include Google Analytics

if (!strChk($gacode)){ $ndealpage.=$gacode; }

// sicom - insert custom code in head if needed

if ($insertcode=="1" && $inscodepos=="1") {
	$ndealpage.=$codetoins;
}

// sicom Head End

$ndealpage.="</head>";

// sicom Body start


if (!strChk($pbimage)) { 
	$ndealpage.=<<<EOT
	<body topmargin="0" bottommargin="0">
EOT;
} else {
	$ndealpage.="<body>";
}
if (strChk($tagimage)) { $gplusimg=$finalURL."admin/images/edbdefault.jpg"; } else { $gplusimg=$finalURL.$dealname.'/'.$tagimage; }
$ndealpage.=<<<EOT
<img itemprop="image" src='$gplusimg' style="border:none; display:none;">
EOT;
// sicom - insert custom code in body start if needed
if ($insertcode=="1" && $inscodepos=="2") {
	$ndealpage.=$codetoins;
}

//sicom include hidden JVZoo button if needed
if (strpos($payurl,'jvzoo') !== false) {
	$ndealpage.=<<<EOT
<a style="display:none"
EOT;
	$ndealpage.=substr($payurl,2);
}

//sicom Main Table 

$ndealpage.=<<<EOT

<table id="maintable">
EOT;



//sicom - ROW 1 - do buy price counter and video block

//sicom - setup up left hand cell top with buy button and price etc...
$dividerimage="../admin/images/n-divide.gif";
$buttonimage="../admin/images/buy/".$buycolor.$buytext.".png";
$saving=round((($regprice-$price)/$regprice)*100,0)."%";
switch ($currency)
{
case "USD":
  $currsymbol="$";
  break;
case "GBP":
  $currsymbol="&pound;";
  break;
case "AUD":
  $currsymbol="$";
  break;
case "EUR":
  $currsymbol="&euro;";
  break;
case "YEN":
  $currsymbol="&yen;";
  break;
case "CADS":
  $currsymbol="$";
  break;
default:
  $currsymbol="$";
}


// sicom - VIdeo or Image block
$ndealpage.="<tr>";



if ($blocktype=="1") {
	if (!strChk($gvimage)) {
	
	if (isset($clickimg) && $clickimg=="2") {
		$imgclk4='cursor:hand; cursor:pointer;';
		$imgclk3='';
		$imgclk1='<a href="'.$clicklink.'" ';
		if (isset($clickwindow) && $clickwindow=="1") { $imgclk1.='target="_BLANK" '; }
		$imgclk1.='>';
		$imgclk2='</a>';
	}
	if (isset($clickimg) && $clickimg=="4") {
		$imgclk4='cursor:hand; cursor:pointer;';
		$imgclk3='';
		$imgclk1='<a href="getdeal.php" >';
		$imgclk2='</a>';
	}	
	if (isset($clickimg) && $clickimg=="3") {
		$imgclk4='cursor:hand; cursor:pointer;';
		$imgclk3=<<<EOT
onClick="alert('$clicktext');"
EOT;
		$imgclk1='';
		$imgclk2='';
	}	
	
	
	$ndealpage.=<<<EOT
	<td style="text-align:left; padding-right:0px;"><div style="text-align:center; width: 480px; height:270px; margin-left:auto; margin-right:auto;">$imgclk1<img $imgclk3 style="$imgclk4 border:none; max-height:100%; max-width:100%;" src="$gvimage">$imgclk2</div></td>
	
EOT;
} else {
	$ndealpage.=<<<EOT
	<td style="text-align:left; padding-right:0px;"><div style="width: 480px; height:270px; margin-left:auto; margin-right:auto;"></div></td>
	
EOT;
}

} else {


	// sicom - check for auto youtube
	if ($autoyt=="2") {
		$gv1pos=strpos($gvcode,'src="');
		$gv2pos=strpos($gvcode,'"',$gv1pos+5);
		$gvextract=substr($gvcode,$gv1pos+5,($gv2pos-$gv1pos)-5);
		if (strpos($gvextract,"?")===false) { $gvextract2=$gvextract."?autoplay=1"; } else { $gvextract2=$gvextract."&autoplay=1"; }
		$gvcode=str_replace($gvextract,$gvextract2,$gvcode);
	}
	$ndealpage.=<<<EOT
	<td style="width:480px; overflow:hidden; padding-right:8px;" ><table style="width:480px; overflow:hidden; table-layout:fixed;"><tr><td style="width:480px; overflow:hidden;"><div style="max-height: 270px; max-width:480px; margin-left:auto; margin-right:auto;">$gvcode</div></td></tr></table></td>
	
EOT;
}
$ndealpage.=<<<EOT
<td width="300px">
	<table id="countergrid">
	<tr style="font-family:Tahoma,Arial,Sans Serif; font-weight:bold; color:#292929; font-size:18px;">
		<td colspan="6">$seotitle</td>
	</tr>
	
EOT;
if ($price!="" && $price!="0") {
$ndealpage.=<<<EOT
		<tr style="font-weight:bold; color:#000000; font-size:12px;">
			<td>DEAL PRICE<br><span style="color:#7C8C91; font-weight:bold; font-size:19px;">$currsymbol$price</span></td>
			<td><img src="$dividerimage"></td>
			<td>REG. PRICE<br><span style="text-decoration:line-through; color:#97A3A6; font-weight:bold; font-size:19px;">&nbsp;$currsymbol$regprice&nbsp;</span></td>
			<td><img src="$dividerimage"></td>
			<td>YOU SAVE<br><span style="color:#EB4B1C; font-weight:bold; font-size:19px;">$saving</span></td>
		</tr>
	

EOT;
}
if ($price=="" || $price=="0") {
	if ($regprice!="" && $regprice!="0") {
$ndealpage.=<<<EOT
		<tr style="font-weight:bold; color:#000000; font-size:12px;">
			<td>DEAL PRICE<br><span style="color:#7C8C91; font-weight:bold; font-size:19px;">$currsymbol FREE</span></td>
			<td><img src="$dividerimage"></td>
			<td>REG. PRICE<br><span style="text-decoration:line-through; color:#97A3A6; font-weight:bold; font-size:19px;">&nbsp;$currsymbol$regprice&nbsp;</span></td>
			<td><img src="$dividerimage"></td>
			<td>YOU SAVE<br><span style="color:#EB4B1C; font-weight:bold; font-size:19px;">$saving</span></td>
		</tr>
	

EOT;
	}
}
if ($dealtype=="1") { // sicom - Quantity deal type

	$ndealpage.=<<<EOT
	

		<tr>
			
			<td id="qtycounter" colspan="6" style="padding:0px; margin:0px; vertical-align: middle; height:100px; width:300px; background: url(../admin/images/flip/n-qtyframe.png); background-position: center; background-repeat: no-repeat;">
			
				<?php
					\$qtyleft=file_get_contents("qtyleft.php");
					\$qtyleft=str_replace("<?php","",\$qtyleft);
					\$qtyleft=str_replace("?>","",\$qtyleft);
					\$qtyleft=trim(\$qtyleft);

					\$qtyarr=str_split(\$qtyleft);
					\$qtylen=strlen(\$qtyleft);
					\$count="";
					for(\$x=0;\$x<\$qtylen;\$x++) {
						\$count.="<img src='../admin/images/flip/n-".\$qtyarr[\$x].".jpg' >";
					}
					echo (\$count);
				?>
			
			</td>
			
		</tr>
		
		<tr>
			<td colspan="6">
				<a href="getdeal.php"><img src='$buttonimage' style='max-width:280px; border:none;'></a>
			</td>
		</tr>

	</table>
</td>


EOT;

}


if ($dealtype=="2") { // sicom - Normal Date Countdown deal type

$ndealpage.=<<<EOT
	
		<tr>
			<?php \$stime=date("M j, Y H:i:s O",time()); ?>
			<td colspan="6" style="padding:0px; margin:0px; vertical-align: middle; height:100px; width:300px; background: url(../admin/images/flip/n-timeframe.png); background-position: center; background-repeat: no-repeat;" align="center">
			<input type="hidden" id="dfin" value="<?php echo("$dealend"); ?>"><input type="hidden" id="tz" value="<?php echo("$dealzone"); ?>"><input type="hidden" id="stime" value="<?php echo(\$stime); ?>">
			<table  >
					<tr><td>&nbsp;</td></tr>
					<tr ><td >
					<span id="imageLayout"> 
						<span class="image{d10}"></span> 
						<span class="image{d1}"></span> 
						<span class="imageSpace"></span> 
						<span class="image{h10}"></span> 
						<span class="image{h1}"></span> 
						<span class="imageSpace"></span> 
						<span class="image{m10}"></span> 
						<span class="image{m1}"></span> 
						<span class="imageSpace"></span> 
						<span class="image{s10}"></span> 
						<span class="image{s1}"></span> 
					</span>
					</td></tr>
				
					 <tr style="text-align:center;" >
						<td><img src="../admin/images/flip/n-labels.png" style="border:none"></td>
					</tr>
			
			</table>
				</td>
			</tr>
			<tr>
			<td colspan="6">
				<a href="getdeal.php"><img src='$buttonimage' style="max-width:280px; border:none"></a>
			</td>
		</tr>

		</table>
			</td>
			

EOT;

}

if ($dealtype=="3") { // sicom - Evergreen Date Countdown deal type

$ndealpage.=<<<EOT
	

		<tr>
			
			<td colspan="6" style="vertical-align: middle; height:100px; width:300px; background: url(../admin/images/flip/n-timeframe.png); background-position: center; background-repeat: no-repeat;" align="center">
			<input type="hidden" id="egd" value="<?php echo("$egdays"); ?>"><input type="hidden" id="egh" value="<?php echo("$eghours"); ?>"><input type="hidden" id="egm" value="<?php echo("$egminutes"); ?>">
			<table  >
					<tr><td>&nbsp;</td></tr>
					<tr ><td >
			<span id="imageLayout"> 
				<span class="image{d10}"></span> 
				<span class="image{d1}"></span> 
				<span class="imageSpace"></span> 
				<span class="image{h10}"></span> 
				<span class="image{h1}"></span> 
				<span class="imageSpace"></span> 
				<span class="image{m10}"></span> 
				<span class="image{m1}"></span> 
				<span class="imageSpace"></span> 
				<span class="image{s10}"></span> 
				<span class="image{s1}"></span> 
			</span>
				<?php
					
					
				?>
			</td></tr>
				
					 <tr style="text-align:center;" >
						<td><img src="../admin/images/flip/n-labels.png" style="border:none"></td>
					</tr>
			
			</table>
				</td>
			</tr>
			<tr>
			<td colspan="6">
				<a href="getdeal.php"><img src='$buttonimage' style="max-width:280px; border:none"></a>
			</td>
		</tr>

</table>	
	</td>
			

EOT;

}

$ndealpage.='</tr>';


//sicom Social and Claimed Row Start

if ($social=="1" || $claimed=="1") {  // sicom - check if either social or claimed is true and create row 
	
	$ndealpage.=<<<EOT
	
	<tr >
		<td colspan="2" style="vertical-align:middle; text-align:left; height:74px; width:770px; background: url(../admin/images/icons/n-socialpanel.png); background-position: center; background-repeat: no-repeat;" align="center">
	<table  cellpadding="0" style="width:770px; position: relative; top: 54%; margin-top: -8%; ">
				<tr>
					<td style="width:50%">
EOT;
	if ($social=="1") { // sicom - Social cell
		if (strChk($tagimage)) { $gvimage2=$finalURL."admin/images/edbdefault.jpg"; } else { $gvimage2=$finalURL.$dealname.'/'.$tagimage; }
		$socialtitle=urlencode('Amazing Deal!');
		$socialurl=urlencode($finalURL.$dealname);
		$socialsummary=urlencode('Check Out This Deal : '.$dealname);

		
		$ndealpage.=<<<EOT
		
						&nbsp;&nbsp;&nbsp;<img style="border:0; cursor:pointer" src="../admin/images/icons/n-sharedeal.png" >&nbsp;
						<a class="sharepopup" href="http://twitter.com/share?text=Just%20Picked%20Up%20A%20Great%20Deal:%20$dealname%20-%20$socialurl"><img style="border:0; cursor:pointer" src="../admin/images/icons/twitter.png"></a>&nbsp;
						<a class="sharepopup" href="http://www.facebook.com/sharer.php?s=100&amp;p[title]=$socialtitle&amp;p[summary]=$socialsummary&amp;p[url]=$socialurl"><img style="border:0; cursor:pointer" src="../admin/images/icons/facebook.png"></a>&nbsp;
						<a class="sharepopup" id="pin" href="http://pinterest.com/pin/create/button/?url=$socialurl&amp;media=$gvimage2&amp;" target="_blank" count-layout="none" ><img border="0" src="../admin/images/icons/pinterest.png" title="Pin It"></a>&nbsp;
						<a class="sharepopup" href="https://plus.google.com/share?url=$socialurl"><img style="border:0; cursor:pointer" src="../admin/images/icons/gplus.png" ></a>&nbsp;&nbsp;
						<a class="sharepopup" id="su" href="https://www.stumbleupon.com/submit?url=$socialurl"><img style="border:0; cursor:pointer" src="../admin/images/icons/stumble.png" ></a>&nbsp;
					</td>
EOT;
	
	
	} else {
	$ndealpage.="&nbsp;</td>";
	}
	if ($claimed=="1") { // sicom - Claimed cell
	$ndealpage.=<<<EOT
					<td style="vertical-align:top; padding-top:7px; text-align:right; font-family:Tahoma,Verdana,Arial,Sans Serif; font-size:16px;">

						<img style="border:0; width:19px;height:20px;vertical-align:bottom" src="../admin/images/icons/n-people.png" src="../admin/images/icons/n-people.png">&nbsp;
						<span style="color:#EB4B1C">
						<?php
							\$numsold=file_get_contents("qtysold.php");
							\$numsold=str_replace("<?php","",\$numsold);
							\$numsold=str_replace("?>","",\$numsold);
							\$numsold=trim(\$numsold);

							\$qtyadd=file_get_contents("startqty.php");
							\$qtyadd=str_replace("<?php","",\$qtyadd);
							\$qtyadd=str_replace("?>","",\$qtyadd);
							\$qtyadd=trim(\$qtyadd);
							\$numsold=intval(\$numsold)+intval(\$qtyadd);
							echo (\$numsold);
						?>
						</span>
						<span style=" color:#63766c;">People Claimed This Deal!&nbsp;&nbsp;&nbsp;</span>
						
					</td>
EOT;
	} else {
	$ndealpage.="<td></td>";
	}
	
	$ndealpage.=<<<EOT
			</tr>
			</table>
		</td>
EOT;

	$ndealpage.='</tr>';
}




//sicom Social and Claimed Row End

// sicom - Tabs section start

if ($tab1enable=="1" || $tab2enable=="1" || $tab3enable=="1" || $tab4enable=="1" || $tab5enable=="1") { // are any tabs enabled ?

$ndealpage.=<<<EOT

	<tr >
		<td  colspan="2">
			<table  style="width:771px; text-align:left; margin-left:auto; margin-right:auto;">
				<tr>
					<td style="max-width:771px; overflow:none;">
						<div id="tabs">
							<ul id="tabtable">
EOT;

if ($tab1enable=="1") {
	$ndealpage.=<<<EOT
								<li style=""><a class="tabtops" href="#tab-1"><table style="width:125px;"><tr><td style="padding-top:7px; text-align:center">$tab1title</td></tr></table></a></li>
EOT;
}
if ($tab2enable=="1") {
	$ndealpage.=<<<EOT
								<li style=""><a class="tabtops" href="#tab-2"><table style="width:125px;"><tr><td style="padding-top:7px; text-align:center">$tab2title</td></tr></table></a></a></li>
EOT;
}
if ($tab3enable=="1") {
	$ndealpage.=<<<EOT
								<li style=""><a class="tabtops" href="#tab-3"><table style="width:125px;"><tr><td style="padding-top:7px; text-align:center">$tab3title</td></tr></table></a></a></li>
EOT;
}
if ($tab4enable=="1") {
	$ndealpage.=<<<EOT
								<li style=""><a class="tabtops" href="#tab-4"><table style="width:125px;"><tr><td style="padding-top:7px; text-align:center">$tab4title</td></tr></table></a></a></li>
EOT;
}
if ($tab5enable=="1") {
	$ndealpage.=<<<EOT
								<li style=""><a class="tabtops" href="#tab-5"><table style="width:125px;"><tr><td style="padding-top:7px; text-align:center">$tab5title</td></tr></table></a></a></li>
EOT;
}
$ndealpage.="</ul>";

if ($tab1enable=="1") {
	$ndealpage.=<<<EOT
	<div style="height:400px; max-width:750px; overflow:auto; " id="tab-1"><span id="tabcontent1" >$tab1text</span></div>
EOT;
}
if ($tab2enable=="1") {
	$ndealpage.=<<<EOT
	<div style="height:400px; max-width:750px; overflow:auto; " id="tab-2"><span id="tabcontent2" >$tab2text</span></div>
EOT;
}
if ($tab3enable=="1") {
	$ndealpage.=<<<EOT
	<div style="height:400px; max-width:750px; overflow:auto; " id="tab-3"><span id="tabcontent3" >$tab3text</span></div>
EOT;
}
if ($tab4enable=="1") {
	$ndealpage.=<<<EOT
	<div style="height:400px; max-width:750px; overflow:auto; " id="tab-4"><span id="tabcontent4" >$tab4text</span></div>
EOT;
}
if ($tab5enable=="1") {
	$ndealpage.=<<<EOT
	<div style="height:400px; max-width:750px; overflow:auto; " id="tab-5"><span id="tabcontent5" >$tab5text</span></div>
EOT;
}
$ndealpage.=<<<EOT
						</div>
					</td>
				</tr>
			</table>
		</td>
	</tr>
		
		
EOT;
} // sicom - endif for any tabs enabled ?

// sicom - Tabs section end

// sicom - footer start

if (!strChk($footerhtml)) {
	$ndealpage.=<<<EOT
	
	<tr >
		<td  colspan="2">
			$footerhtml
		</td>
	</tr>
EOT;
}

if ($poweredby=="1") {
	$ndealpage.=<<<EOT
	
	<tr >
		<td colspan="2" style="text-align:right; color:#AAAAAA; font-size:12px; font-family:Tahoma,Arial,Sans Serif;">
		<a href="http://www.jvzoo.com/c/$jvz/38829" target="_BLANK">Powered By Easy Deal Builder</a>&nbsp;&nbsp;&nbsp;&nbsp;
		</td>
	</tr>
	<tr><td colspan="2"></td></tr>
EOT;
}

// sicom - footer end


// sicom - End Main Table
$ndealpage.=<<<EOT
</table>
EOT;

//sicom - Pre Body End Javascript
if ($tab1enable=="1" || $tab2enable=="1" || $tab3enable=="1" || $tab4enable=="1" || $tab5enable=="1") { // are any tabs enabled ?

$ndealpage.=<<<EOT
<script type="text/javascript">
//sicom tabs switcher  
$(document).ready(function(){
$('#tabs div').hide();
$('#tabs div:first').show();
$('#tabs ul li:first').addClass('active');
 
$('#tabs ul li ').click(function(){
	if ($(this).parent().parent().attr('id')!="tabcontent1" && $(this).parent().parent().attr('id')!="tabcontent2" && $(this).parent().parent().attr('id')!="tabcontent3" && $(this).parent().parent().attr('id')!="tabcontent4" && $(this).parent().parent().attr('id')!="tabcontent5") 
	
	{
		$('#tabs ul li').removeClass('active');
		$(this).addClass('active');
		var currentTab = $(this).children('a').attr('href');
		$(this).children('a').blur();
		
		$('#tabs div').hide();
		$(currentTab).show();
		return false;
	}
});
});
</script>
EOT;
}

if ($dealtype=="1") {
$ndealpage.=<<<EOT
    
	<script type="text/javascript">
	$.ajaxSetup ({  
        cache: false  
    });  

	var loadUrl = "../admin/php/n-qtycount.php";  
	var al;
	
setInterval(function() {
      
	  $.post(loadUrl, { dealname:"$dealname" }, function(ajdata) { $('#qtycounter').html(ajdata); if (ajdata=="<img src='../admin/images/flip/n-0.jpg' style='border:none;'>") { window.location='dfin.php'; }});
		}, 10000); //2 seconds

</script>
EOT;
}

if ($dealtype=="2") {

$ndealpage.=<<<EOT
<script type="text/javascript">
var ed=$('#dfin').val();
var tz=$('#tz').val();
var stime=$('#stime');
var y=parseInt(ed.substring(0,4),10);
var m=parseInt(ed.substring(5,7),10);
var d=parseInt(ed.substring(8,10),10);
var h=parseInt(ed.substring(11,13),10);
var min=parseInt(ed.substring(14,16),10);
var liftoffTime=new Date(y,m-1,d,h,min);


$('#imageLayout').countdown({until: liftoffTime, alwaysExpire: true, timezone: tz, compact: true, serverSync: stime, expiryUrl: 'dfin.php',
    layout: $('#imageLayout').html()});

</script>
EOT;
}

if ($dealtype=="3") {

$ndealpage.=<<<EOT
<script type="text/javascript">
var cookurl=document.URL.replace(/\W/g, '');
function setCookie(key, value) {  
   var expires = new Date();  
   expires.setTime(expires.getTime() + 31536000000); 
   document.cookie = key + '=' + value + ';expires=' + expires.toUTCString();  
   }  
  
function getCookie(key) {  
   var keyValue = document.cookie.match('(^|;) ?' + key + '=([^;]*)(;|$)');  
   return keyValue ? keyValue[2] : null;  
   }  

var egh=parseInt($('#egh').val(),10);
var egd=parseInt($('#egd').val(),10);
var egm=parseInt($('#egm').val(),10);
var cookdate=getCookie(cookurl)
if (cookdate) { var ed=new Date(cookdate); } else {var ed = new Date(); setCookie (cookurl,ed); }   

ed.setMinutes(ed.getMinutes() + egm); 
ed.setMinutes(ed.getMinutes() + (egh*60)); 
ed.setMinutes(ed.getMinutes() + (egd*1440)); 

var y=ed.getFullYear();
var m=ed.getMonth();
var d=ed.getDate();
var h=ed.getHours();
var min=ed.getMinutes();

var liftoffTime=new Date(y,m,d,h,min);
$('#imageLayout').countdown({until: liftoffTime, compact: true, expiryUrl: 'dfin.php',
   layout: $('#imageLayout').html()});


</script>
EOT;
}

if ($social=="1") {  // sicom - include social javascript

$ndealpage.=<<<EOT
<script type="text/javascript">
 $('.sharepopup').click(function(event) {
	
		if ($(this).attr('id')=="su" || $(this).attr('id')=="pin") { var width=800, height=600; } else { var width  = 575, height=400; }
        
        var left   = ($(window).width()  - width)  / 2,
        top    = ($(window).height() - height) / 2,
        url    = this.href,
        opts   = 'status=1' +
				',menubar=no, toolbar=no, resizable=no, location=no, scrollbars=no, status=no' +
                 ',width='  + width  +
                 ',height=' + height +
                 ',top='    + top    +
                 ',left='   + left;
    
    window.open(url, 'twitter', opts);
 
    return false;
  });
 </script>
EOT;
}

if ($pop1type=="1") { // sicom exit pop javascript
if (strChk($pop1url)) {$pop1url=$finalURL.$dealname;}
$ndealpage.=<<<EOT
<script type="text/javascript">
$('input[type=submit], button, a[class!=tabtops]').click(function(){ DontPop=true; });
var DontPop = false;
function PopIt() {
    if (DontPop == false) {
        DontPop = true;
		window.scrollTo(0, 0);
		$('body').html('');
		$('body').css({ topMargin : '0px', rightMargin : '0px', bottomMargin : '0px', leftMargin : '0px', overflow : 'hidden'});
		$('body').append($('<div style="position:absolute; width:100%; height:100%; zIndex:99; left:0px; top:0px;"><div style="display:block; width:100%; height:100%; position:absolute; background:#FFFFFF; margin-top:0px; margin-left:0px;" align="center"><iframe src="$pop1url" width="100%" height="100%" align="middle" frameborder="0"></iframe></div></div>'));
        return "$pop1text";
    }
}
window.onbeforeunload = PopIt;
</script>
EOT;


}

//sicom - End javascript

//sicom - End body and page

// sicom - insert custom code in body end if needed
if ($insertcode=="1" && $inscodepos=="3") {
	$ndealpage.=$codetoins;
}


$ndealpage.="</body></html>";

//sicom - Write out index
$npvpage=$ndealpage;
$ndealpage=$ndealpagetop.$ndealpage;
file_put_contents($dealpath."index2.php",$ndealpage);
file_put_contents($dealpath.'n-'.$pv.'.php',$npvpage);



// ------------------------------------------------------------------------------  sicom Create Thank You Page -----------------------------------------------------
$thankspage='<!DOCTYPE html>';


// sicom - insert 3rd party code
if ($tyinsertcode=="1" && $tyinscodepos=="1") {
	$thankspage.=$tycodetoins;
}

$thankspage.='<html><head><meta charset="UTF-8"><title>'.$dealname.'</title><script src="../admin/js/jQuery.js"></script>'; // sicom - Start Head and include JQ



//sicom - css

if (strChk($pbcolor)) { $pbcolor="AAAAAA"; }

if (strChk($pbimage) || $pbtype=="6") {
	$thankspage.=<<<EOT
<style type="text/css">
body { background:#$pbcolor; font-family:arial,sans serif; }
EOT;
} else {

	// sicom - select background type
	switch ($pbtype)
	{
	case "1":
	  $pbmode="-moz-background-size:100% 100%; background-size:100% 100%; background-repeat:no-repeat;";
	   break;
	case "2":
	  $pbmode="background-position:center; background-repeat:no-repeat;";
	  break;
	case "3":
	  $pbmode="background-repeat:repeat;";
	  break;
	case "4":
	   $pbmode="background-repeat:repeat-x; background-position:top;";
	   break;
    case "5":
       $pbmode="background-repeat:repeat-x; background-position:bottom;";
       break;
	default:
	  $pbmode="-moz-background-size:100% 100%; background-size:100% 100%; background-repeat:no-repeat;";
	}
	

	$thankspage.=<<<EOT
<style type="text/css">
body { background:#$pbcolor; background-image: url('$pbimage'); background-attachment: fixed; $pbmode }	
EOT;
}
$thankspage.=<<<EOT
table#countergrid {
	font-family: Tahoma, Arial, Helvetica, sans-serif;
}

table#maintable {
	background:#FFFFFF;
    text-align:center; 
    margin-left:auto; 
    margin-right:auto; 
    width:960px;
	border-color: #BDBDBD;
	border-width: 1px 1px 1px 1px;
	border-style: solid;
	-moz-box-shadow: 0 0 5px #888; -webkit-box-shadow: 0 0 5px#888; box-shadow: 0 0 15px #888;

  }
tr { border-style:none }
td { border-style:none }
img { border:none }
EOT;

$thankspage.="</style>"; // sicom - End Styles

// sicom - Load google font if needed

if (!strChk($headfont) && $headfont != "Arial,sans-serif" && $headfont != "Georgia,sans-serif" && $headfont != "Impact,sans-serif" && $headfont != "Times New Roman,sans-serif" && $headfont != "Verdana,sans-serif") {
	$headfont = str_replace(",sans-serif","",$headfont);
	$headfontplus = str_replace(" ","+",$headfont);
	$thankspage.=<<<EOT
<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=$headfontplus">

EOT;

}



// sicom - include Google Analytics

if (!strChk($gacode)){ $thankspage.=$gacode; }

// sicom - insert 3rd party code
if ($tyinsertcode=="1" && $tyinscodepos=="2") {
	$thankspage.=$tycodetoins;
}


// sicom Head End

$thankspage.='<META NAME="ROBOTS" CONTENT="NOINDEX, NOFOLLOW"></head>';

// sicom Body start


if (!strChk($pbimage)) { 
	$thankspage.=<<<EOT
	<body topmargin="0" bottommargin="0">
EOT;
} else {
	$thankspage.="<body>";
}

// sicom - insert 3rd party code
if ($tyinsertcode=="1" && $tyinscodepos=="3") {
	$thankspage.=$tycodetoins;
}


//sicom Main Table 

$thankspage.=<<<EOT

<table id="maintable">
EOT;

// sicom ROW 1 - Header Row
if (isset($headty) && $headty=='1') {
	$thankspage.=<<<EOT

	<tr>
		<td colspan="2">
EOT;

	if ($headtype=="1") {  // sicom Graphic Header
		if (!strChk($headimage)) {
			$thankspage.=<<<EOT
		<div style="width: 940px; margin-left:auto; margin-right:auto;"><img style="max-width:100%;" src="$headimage"></div>
		</td>
	</tr>
EOT;
		} else {
		$thankspage.=<<<EOT
		</td>
	</tr>
EOT;

		}
	} else { // sicom Text Header
			if (!strChk($headtext)) {
			$actualfontsize=$headsize.'px';
			$headboldstyle="";
			$headitalicstyle="";
			if ($headbold=="2") { $headboldstyle="font-weight:bold;"; }
			if ($headitalic=="2") { $headitalicstyle="font-style:italic;"; }
			$thankspage.=<<<EOT
		<table align="center" cellpadding="0"><tr><td style="background:#$headbackcol; color:#$headcolor; height:150px; vertical-align:middle; width: 940px; margin-left:auto; margin-right:auto; font-size:$actualfontsize; font-family:$headfont; $headboldstyle $headitalicstyle">$headtext</td></tr></table>
		</td>
	</tr>
EOT;
		} else {
		$thankspage.=<<<EOT
		</td>
	</tr>
EOT;
		}
	}
}
// sicom - leave a row gap

 $thankspage.='<tr><td colspan="2"><br></td></tr>';

//sicom - ROW 2 and 3 - Thank you message and custom text




	$thankspage.=<<<EOT
	
	<tr><td colspan="2"><br></td></tr>
	<tr>
		<td colspan="2">
			<div style="margin-left:auto; margin-right:auto; text-align:left; width:800px; font-family:tahoma,verdana,arial,sans serif; font-size:12px; color:#222222;">$tytext</div>
		</td>
	</tr>
	<tr><td colspan="2"></td></tr>
EOT;

	if ($social=="1") { // sicom - Social cell

			$socialtitle=urlencode('Check Out This Deal!');
			$socialurl=urlencode($finalURL.$dealname);
			$socialsummary=urlencode('Just Picked Up A Great Deal: '.$dealname);

			$thankspage.=<<<EOT
							<tr><td colspan="2">
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img style="border:0; cursor:pointer" src="../admin/images/icons/sharedeal.png" >&nbsp;&nbsp;
							<a class="sharepopup" href="http://twitter.com/share?text=Just%20Picked%20Up%20A%20Great%20Deal:%20$dealname%20-%20$socialurl"><img style="border:0; cursor:pointer" src="../admin/images/icons/twitter.png"></a>&nbsp;&nbsp;
							<a class="sharepopup" href="http://www.facebook.com/sharer.php?s=100&amp;p[title]=$socialtitle&amp;p[summary]=$socialsummary&amp;p[url]=$socialurl"><img style="border:0; cursor:pointer" src="../admin/images/icons/facebook.png"></a>&nbsp;&nbsp;
							
						</td></tr><tr><td colspan="2"><br></td></tr>
EOT;
		
		
		}

// sicom - ROW 4 - pre done ads

if ($tyadtype=="2") {
	$ads=getRemFile("http://easydealbuilder.com/edbdat/ads/ads.txt");
			if (!strChk($jvz)) { 
				$adblock=str_replace("xxxx",$jvz,$ads);
			} else {
				$adblock=str_replace("xxxx","99999999",$ads);
			}
	$thankspage.=<<<EOT
<tr>
	<td colspan="2">	
		<table border="0" align="center" width="600px" cellspacing="0px">
		$adblock
		</table>
	</td>
</tr>
<tr><td colspan="2"></td></tr>
EOT;
} else {

// sicom - ROW 5 - Their own ads

	if (!strChk($affurl1) || !strChk($affurl2) || !strChk($affurl3)) {
		$adblock2="";
		if($affurl1<>"") { $adblock2.='<tr align="center"><td><a href="'.$affurl1.'" target="_blank"><img src="'.$affimg1.'" style="border:none"></a></td></tr><tr><td>&nbsp</td></tr><tr><td>&nbsp</td></tr>';	}
		if($affurl2<>"") { $adblock2.='<tr align="center"><td><a href="'.$affurl2.'" target="_blank"><img src="'.$affimg2.'" style="border:none"></a></td></tr><tr><td>&nbsp</td></tr><tr><td>&nbsp</td></tr>';	}
		if($affurl3<>"") { $adblock2.='<tr align="center"><td><a href="'.$affurl3.'" target="_blank"><img src="'.$affimg3.'" style="border:none"></a></td></tr><tr><td>&nbsp</td></tr><tr><td>&nbsp</td></tr>';	}

		$thankspage.=<<<EOT
	<tr>
		<td colspan="2">	
			<table border="0" align="center" width="600px" cellspacing="0px">
			$adblock2
			</table>
		</td>
	</tr>
	<tr><td colspan="2"></td></tr>
EOT;
	}
}
// sicom - footer start

if (!strChk($footerhtml)) {
	$thankspage.=<<<EOT
	
	<tr >
		<td  colspan="2">
			$footerhtml
		</td>
	</tr>
EOT;
}
if ($poweredby=="1") {
	$thankspage.=<<<EOT
	
	<tr >
		<td colspan="2" style="color:#AAAAAA; font-size:10px; font-family:Tahoma,Arial,Sans Serif;">
		<a href="http://www.jvzoo.com/c/$jvz/38829" target="_BLANK">Powered By Easy Deal Builder</a>
		</td>
	</tr>
EOT;
}

// sicom - footer end


// sicom - End Main Table
$thankspage.=<<<EOT
</table>
EOT;

if ($social=="1") {  // sicom - include social javascript

$thankspage.=<<<EOT
<script type="text/javascript">
 $('.sharepopup').click(function(event) {
	
		if ($(this).attr('id')=="su") { var width=800, height=600; } else { var width  = 575, height=400; }
        
        var left   = ($(window).width()  - width)  / 2,
        top    = ($(window).height() - height) / 2,
        url    = this.href,
        opts   = 'status=1' +
				',menubar=no, toolbar=no, resizable=no, location=no, scrollbars=no, status=no' +
                 ',width='  + width  +
                 ',height=' + height +
                 ',top='    + top    +
                 ',left='   + left;
    
    window.open(url, 'twitter', opts);
 
    return false;
  });
 </script>
EOT;
}


// sicom - insert 3rd party code
if ($tyinsertcode=="1" && $tyinscodepos=="4") {
	$thankspage.=$tycodetoins;
}

//sicom - End body and page


$thankspage.="</body></html>";

//sicom - Write out Thank You Page

file_put_contents($dealpath.$ty2.".php",$thankspage);

//sicom - go to next step

header("Location:showdeal.php?dealname=".$dealname);

?>